# Uses of Interface
org.opensaml.saml.saml2.core.Artifact

Packages that use Artifact
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.

## Uses of Artifact in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return Artifact
Modifier and Type
Method
Description
`Artifact`
ArtifactResolve.`getArtifact()`
Get Artifact child element.
Methods in org.opensaml.saml.saml2.core with parameters of type Artifact
Modifier and Type
Method
Description
`void`
ArtifactResolve.`setArtifact(Artifact newArtifact)`
Set Artifact child element.

## Uses of Artifact in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement Artifact
Modifier and Type
Class
Description
`class`
`ArtifactImpl`
Concrete implementation of `Artifact`.
Fields in org.opensaml.saml.saml2.core.impl declared as Artifact
Modifier and Type
Field
Description
`private Artifact`
ArtifactResolveImpl.`artifact`
Artifact child element.
Methods in org.opensaml.saml.saml2.core.impl that return Artifact
Modifier and Type
Method
Description
`Artifact`
ArtifactBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`Artifact`
ArtifactBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Artifact`
ArtifactResolveImpl.`getArtifact()`
Get Artifact child element.
Methods in org.opensaml.saml.saml2.core.impl with parameters of type Artifact
Modifier and Type
Method
Description
`void`
ArtifactResolveImpl.`setArtifact(Artifact newArtifact)`
Set Artifact child element.